org.apache.lucene.analysis.miscellaneous

## Class ConcatenateGraphFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.ConcatenateGraphFilterFactory

-     public class ConcatenateGraphFilterFactory
      extends TokenFilterFactory

  Factory for `ConcatenateGraphFilter`.
  - `preserveSep`: Whether `ConcatenateGraphFilter.SEP_LABEL` should separate the input tokens in the concatenated token
  - `preservePositionIncrements`: Whether to add an empty token for missing positions. The effect is a consecutive `ConcatenateGraphFilter.SEP_LABEL`. When false, it's as if there were no missing positions (we pretend the surrounding tokens were adjacent).
  - `maxGraphExpansions`: If the tokenStream graph has more than this many possible paths through, then we'll throw `TooComplexToDeterminizeException` to preserve the stability and memory of the machine.
  Since:
    7.4.0
  See Also:
    `ConcatenateGraphFilter`

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcatenateGraphFilterFactory(Map<String,String> args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenStream` | `create(TokenStream input)` Transform the specified input TokenStream

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcatenateGraphFilterFactory

          public ConcatenateGraphFilterFactory(Map<String,String> args)

  - ### Method Detail

    - #### create

          public TokenStream create(TokenStream input)

      Description copied from class: `TokenFilterFactory`
      Transform the specified input TokenStream
      Specified by:
        `create` in class `TokenFilterFactory`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.